UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMERegistrationCompleteInfo Class Reference

UME Registration Complete Info class. More...

## Public Member Functions
| UMERegistrationCompleteInfo ()
| Creates a UMERegistrationCompleteInfo object and initializes fields to 0.
| UMERegistrationCompleteInfo (int flags, uint sequenceNumber)
| Creates a UMERegistrationCompleteInfo object and initializes fields to the supplied values. More...
int | flags ()
| Get informational flags for this registration complete message. More...
uint | sequenceNumber ()
| Get starting sequence number for this registration complete message. More...
UInt64 | sourceSessionId ()
| Get the session ID of the source. More...

## Detailed Description

UME Registration Complete Info class.

Contains extended information for UME receiver registration complete messages.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMERegistrationCompleteInfo.UMERegistrationCompleteInfo | ( | int | flags,
|  | uint | sequenceNumber
| ) |  |

Creates a UMERegistrationCompleteInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  sequenceNumber | Starting sequence number (must be >= 0).

Exceptions

  com.latencybusters.lbm.LBMEInvalException | UME registration sequence number was < 0.

## Member Function Documentation

int com.latencybusters.lbm.UMERegistrationCompleteInfo.flags | ( |  | ) |

Get informational flags for this registration complete message.

Returns
  Flags.

uint com.latencybusters.lbm.UMERegistrationCompleteInfo.sequenceNumber | ( |  | ) |

Get starting sequence number for this registration complete message.

Returns
  Sequence number.

UInt64 com.latencybusters.lbm.UMERegistrationCompleteInfo.sourceSessionId | ( |  | ) |

Get the session ID of the source.

Returns
  Source Session ID

The documentation for this class was generated from the following file:

- UMERegistrationCompleteInfo.cs